Imagick::getIteratorIndex
Imagick::getOption
Imagick
PHP Manual

# Imagick::getNumberImages

(PECL imagick 2.0.0)

Imagick::getNumberImages — Returns the number of images in the object

### Description

int Imagick::getNumberImages ( void )

Returns the number of images associated with Imagick object.

### Return Values

Returns the number of images associated with Imagick object.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getIteratorIndex
Imagick::getOption
Imagick
PHP Manual